Save menu items disabled after crash

Bug #1435794 reported by Karl-Philipp Richter on 2015-03-24
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Simple Scan
Fix Released
Medium
Unassigned
3.12
Fix Released
Medium
Unassigned
3.14
Fix Released
Medium
Unassigned
3.16
Fix Released
Medium
Unassigned
simple-scan (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Utopic
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

[Impact]
Document restored after a crash has save button disabled.

[Test Case]
1. Open Simple Scan from a terminal
2. Scan a page
3. Close Simple Scan with Ctrl+C from terminal
4. Re-open Simple Scan

Observed result:
Scanned document is restored. Save button is disabled.

Expected result:
Scanned document is restored. Save button is enabled.

[Regression Potential]
Low. The Save button is just set to enabled after a crash restore.

Changed in simple-scan (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Changed in simple-scan:
status: New → Fix Committed
importance: Undecided → Medium
Changed in simple-scan:
milestone: none → 3.17.1
Changed in simple-scan (Ubuntu Utopic):
status: New → Fix Committed
Changed in simple-scan (Ubuntu Trusty):
status: New → Fix Committed
Changed in simple-scan (Ubuntu Utopic):
importance: Undecided → Medium
Changed in simple-scan (Ubuntu Trusty):
importance: Undecided → Medium
summary: - after a crash and restart of simple-scan save menu items are without
- function
+ Save menu items disabled after crash
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 3.16.1-0ubuntu1

---------------
simple-scan (3.16.1-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fix save button being inactive on pages restored after a crash
      (LP: #1435794)
 -- Robert Ancell <email address hidden> Mon, 13 Apr 2015 09:46:19 +1200

Changed in simple-scan (Ubuntu Vivid):
status: Fix Committed → Fix Released
description: updated

Hello Karl-Philipp, or anyone else affected,

Accepted simple-scan into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/simple-scan/3.14.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in simple-scan:
status: Fix Committed → Fix Released

The fix for this bug has been awaiting testing feedback in the -proposed repository for utopic for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
tags: added: verification-done
removed: removal-candidate verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 3.14.3-0ubuntu1

---------------
simple-scan (3.14.3-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    [ 3.14.3 ]
    - Fix logic for adding blank page on page removal. (LP: #1442596)
    - Fix save button being inactive on pages restored after a crash.
      (LP: #1435794)
    - Fix error where document was discarded if warning dialog was closed.
      (LP: #1386738)
    [ 3.14.2 ]
    - Store density information in bitmap formats (JPEG, PNG, TIFF). Requires
      gdk-pixbuf 2.32 (LP: #484616)
 -- Robert Ancell <email address hidden> Tue, 14 Apr 2015 12:03:37 +1200

Changed in simple-scan (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for simple-scan has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Karl-Philipp, or anyone else affected,

Accepted simple-scan into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/simple-scan/3.12.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done-utopic
tags: added: verification-done-trusty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 3.12.3-0ubuntu1

---------------
simple-scan (3.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release:
    [ 3.12.2 ]
    - Add non-standard option names for duplex scanning on HP And Brother
      scanners (LP: #1343773) (LP: #1353599)
    - Don't access a variable after ownership is transferred - was breaking
      scans (LP: #1334710)
    - Stop configure if Vala not found
    [ 3.12.3 ]
    - Correctly select the previous device after the device list is updated
      (LP: #1485977)
    - Fix error dialogs not showing.
    - Fix save button being inactive on pages restored after a crash
      (LP: #1435794)
    - Fix error where document was discarded if warning dialog was closed
      (LP: #1386738)
    - Store density information in bitmap formats (JPEG, PNG, TIFF). Requires
      gdk-pixbuf 2.32.2 (LP: #484616)

 -- Robert Ancell <email address hidden> Thu, 24 Mar 2016 11:44:22 +1300

Changed in simple-scan (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers